MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027777Open CASCADE[OCCT] OCCT:Visualizationpublic2016-08-15 18:272016-12-09 16:38
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027777: Visualization, TKV3d - Standard interactive objects clear the presentation in Compute()
DescriptionStandard interactive objects in AIS package call Clear() method of the presentation to be computed at the beginning of Compute().

This prevents derived classes from calling base Compute() several times with different options (e.g. with different display modes) and thus generate a "combined" presentation. Though sub-optimal from GPU memory usage and performance point of view, this can still be useful in certain cases.

Meanwhile, the presentation manager clears the presentation object passed to Compute() in advance.

It is necessary to remove Prs3d_Presentation::Clear() calls from Compute() methods of standard interactive objects in OCCT.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0058326)
san (developer)
2016-09-29 17:53

This issue has been fixed by a patch for #27916.

- Issue History
Date Modified Username Field Change
2016-08-15 18:27 san New Issue
2016-08-15 18:27 san Assigned To => san
2016-09-29 13:42 kgv Relationship added related to 0027916
2016-09-29 17:53 san Note Added: 0058326
2016-09-29 17:53 san Assigned To san => bugmaster
2016-09-29 17:53 san Status new => feedback
2016-10-04 11:42 bugmaster Status feedback => tested
2016-10-04 11:42 bugmaster Status tested => verified
2016-10-04 11:42 bugmaster Resolution open => fixed
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker